/********************************************************************/
/* Copyright (c) 2019 System fugen G.K.                             */
/* All rights reserved.                                             */
/********************************************************************/

#if !defined(AFX_MODELESSDIALOGUE_H__DD05405A_62EF_49CC_BE12_6BDB44118D50__INCLUDED_)
#define AFX_MODELESSDIALOGUE_H__DD05405A_62EF_49CC_BE12_6BDB44118D50__INCLUDED_

#pragma once
#include "stdafx.h"
#include "resource.h"
#include "Common/CommandBase.h"

/////////////////////////////////////////////////////////////////////////////
// mgModelessDialogue ダイアログ

// mgModelessDialogue is used as a parent modeless dialog.
class mgModelessDialogue : public CDialog{
	DECLARE_DYNAMIC(mgModelessDialogue)

	MGCommandBase* m_commandTool;//The command tool that uses this dialogue.

public:
	mgModelessDialogue(MGCommandBase* tool);
	virtual MGCommandBase* getCmdTool(){ return m_commandTool; };
	virtual ~mgModelessDialogue() = default;

// オーバーライド
	virtual BOOL OnInitDialog() override;
	virtual void OnOK() override;
	virtual void OnCancel() override;
	virtual BOOL DestroyWindow() override;
	virtual void PostNcDestroy() override;

	DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_MODELESSDIALOGUE_H__DD05405A_62EF_49CC_BE12_6BDB44118D50__INCLUDED_)
